#
# spec file for package python-Cycler
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-Cycler
Version:        0.9.0
Release:        2.3
Summary:        Composable style cycles
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            http://github.com/matplotlib/cycler
Source:         https://pypi.python.org/packages/source/C/Cycler/cycler-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-six
Requires:       python-six
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
When plotting more than one line it is common to want to be able to
cycle over one or more artist styles. For simple cases than can be
done with out too much trouble.

However, if you want to do something more complicated, the plotting
logic can quickly become very involved. To address this and allow
easy cycling over arbitrary kwargs the Cycler class, a composable
kwarg iterator, was developed.

%prep
%setup -q -n cycler-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst
%{python_sitelib}/*

%changelog
* Fri Oct 30 2015 toddrme2178@gmail.com
- Initial version
